=== src/template/SConstruct ===
# SConstruct for src/template

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_template'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
        source='template_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
        source='template_syntax.y'
    )
    env.NoClean(parser)


# Sources to generate the library
source_files=[
    'Template.cc',
    'template_parser.c',
    'template_syntax.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)
