=== src/vm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vm'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
    source='vm_var_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
    source='vm_var_syntax.y'
    )
    env.NoClean(parser)

    parser=env.Bison(
    source='vm_file_var_syntax.y'
    )
    env.NoClean(parser)

# Sources to generate the library
source_files=[
    'History.cc',
    'VirtualMachine.cc',
    'vm_var_parser.c',
    'vm_var_syntax.cc',
    'vm_file_var_syntax.cc',
    'VirtualMachinePool.cc',
    'VirtualMachineHook.cc',
    'VirtualMachineTemplate.cc',
    'VirtualMachineAttribute.cc',
    'VirtualMachineDisk.cc',
    'VirtualMachineNic.cc',
    'VirtualMachineSystemSnapshot.cc',
    'VirtualMachineParser.cc',
    'VirtualMachineContext.cc',
    'Snapshots.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)
