=== debian/changelog ===
opennebula (5.4.1-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Tue, 19 Sep 2017 13:29:02 +0000
