## opennebula 5.6.2

=== debian/changelog ===
opennebula (5.6.2-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Thu, 31 Jan 2019 10:29:48 +0100
