=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
                libxmlrpc3-common-java,
                libxslt1-dev,
                libcurl4-openssl-dev,
+               libcurl4,
+               libsystemd-dev,
                ruby,
                scons
 Standards-Version: 3.9.3
@@ -31,26 +33,30 @@
 Architecture: any
 Depends: apg,
          genisoimage,
+         opennebula-common (= ${source:Version}),
          opennebula-tools (= ${source:Version}),
          ruby-opennebula (= ${source:Version}),
          wget,
          curl,
+         rsync,
          ruby-json,
          ruby-uuidtools,
          ruby-amazon-ec2,
          ruby-parse-cron,
          qemu-utils,
-         libcurl3,
+         libcurl4,
          iputils-arping,
          ${misc:Depends}
-Replaces: ruby-opennebula (<< 4.90.5),
+Replaces: ruby-opennebula (<< 5.5.80),
           opennebula-sunstone (<< 5.0.2),
           opennebula-flow (<< 5.0.2),
-          opennebula-gate (<< 5.0.2)
-Breaks:  ruby-opennebula (<< 4.90.5),
+          opennebula-gate (<< 5.0.2),
+          opennebula-common (<< 5.5.80)
+Breaks:  ruby-opennebula (<< 5.5.80),
          opennebula-sunstone (<< 5.0.2),
          opennebula-flow (<< 5.0.2),
-         opennebula-gate (<< 5.0.2)
+         opennebula-gate (<< 5.0.2),
+         opennebula-common (<< 5.5.80)
 Suggests: mysql-server
 Description: controller which executes the OpenNebula cluster services
  OpenNebula is an open source virtual infrastructure engine that enables the
@@ -156,6 +162,9 @@
          vlan,
          ipset,
          pciutils,
+         rsync,
+         cron,
+         augeas-tools,
          ${misc:Depends}
 Recommends: openssh-server | ssh-server
 Description: empty package to prepare a machine as OpenNebula Node
@@ -201,6 +210,8 @@
          ruby-opennebula (= ${source:Version}),
          ${misc:Depends},
          ${ruby:Depends}
+Replaces: opennebula (<< 5.5.90)
+Breaks: opennebula (<< 5.5.90)
 Description: Command-line tools for OpenNebula Cloud
  OpenNebula is an open source virtual infrastructure engine that enables the
  dynamic deployment and re-placement of virtual machines on a pool of physical
@@ -215,7 +226,10 @@
 Package: libopennebula-java
 Section: java
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
+Depends: ${java:Depends}, ${misc:Depends},
+         libws-commons-util-java,
+         libxmlrpc3-client-java,
+         libxmlrpc3-common-java
 Description: Java bindings for OpenNebula Cloud API (OCA)
  OpenNebula is an open source virtual infrastructure engine that enables the
  dynamic deployment and re-placement of virtual machines on a pool of physical
@@ -243,3 +257,9 @@
  .
  This package provides the documentation (Javadoc API) and examples for
  OpenNebula Cloud API (OCA) Java bindings.
+
+
+
+
+
+
