=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,17 @@
 override_dh_auto_build:
 	#scons  mysql=yes new_xmlrpc=yes
 	tar xzvf build_opennebula.tar.gz
+ifneq (,$(filter docker-machine-opennebula, $(shell dh_listpackages)))
+	tar xzvf opennebula-docker-machine-*.tar.gz
+endif
+ifneq (,$(filter opennebula-provision, $(shell dh_listpackages)))
+	tar xzvf opennebula-provision-*.tar.gz
+endif
+ifneq (,$(filter opennebula-cli-extensions, $(shell dh_listpackages)))
+	tar xzvf opennebula-cli-extensions-*.tar.gz
+endif
 	#XMLRPC_DIR="debian/" debian/build_opennebula.sh
-	./build_opennebula.sh
+	./build_opennebula.sh systemd=yes
 	(cd src/oca/java/; \
 	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
 	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
@@ -35,15 +44,28 @@
 
 override_dh_auto_install:
 	DESTDIR=dist ./install.sh
+ifneq (,$(filter docker-machine-opennebula, $(shell dh_listpackages)))
+	DESTDIR=dist ./install.sh -e
+endif
+ifneq (,$(filter opennebula-provision, $(shell dh_listpackages)))
+	(cd provision && \
+	DESTDIR=../dist ./install.sh)
+endif
+ifneq (,$(filter opennebula-cli-extensions, $(shell dh_listpackages)))
+	(cd cli-extensions && \
+	DESTDIR=../dist ./install.sh)
+endif
 	dh_auto_install
 ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
-	dh_install -p opennebula-common share/pkgs/logrotate/opennebula /etc/logrotate.d/
 	dh_install -p opennebula-common share/pkgs/${DISTRO}/opennebula.sudoers \
 		/etc/sudoers.d
 	mv debian/opennebula-common/etc/sudoers.d/opennebula.sudoers \
 		debian/opennebula-common/etc/sudoers.d/opennebula
 endif
 ifneq (,$(filter opennebula, $(shell dh_listpackages)))
+	dh_install -p opennebula share/pkgs/logrotate/opennebula /etc/logrotate.d/
+	dh_install -p opennebula share/pkgs/logrotate/opennebula-scheduler /etc/logrotate.d/
+
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.service \
 		/lib/systemd/system/
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula-scheduler.service \
@@ -51,6 +73,10 @@
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.conf /usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-econe /etc/logrotate.d/
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-novnc /etc/logrotate.d/
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-sunstone /etc/logrotate.d/
+
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.service \
 		/lib/systemd/system/
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-econe.service \
@@ -64,6 +90,8 @@
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
+	dh_install -p opennebula-gate share/pkgs/logrotate/opennebula-gate /etc/logrotate.d/
+
 	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.service \
 		/lib/systemd/system/
 
@@ -73,6 +101,8 @@
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
+	dh_install -p opennebula-flow share/pkgs/logrotate/opennebula-flow /etc/logrotate.d/
+
 	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.service \
 		/lib/systemd/system/
 
@@ -83,11 +113,12 @@
 endif
 ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
 	dh_install -p opennebula-node share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
+	dh_install -p opennebula-node share/etc/cron.d/opennebula-node /etc/cron.d/
 	dh_install -p opennebula-node share/pkgs/${DISTRO}-systemd/opennebula-node.conf \
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
-	cp share/install_gems/Ubuntu1704/Gemfile.lock dist/usr/share/one/
+	cp share/install_gems/Ubuntu1804/Gemfile.lock dist/usr/share/one/
 endif
 
 override_dh_installinit:
